# ARX Class Reference

Linear Autoregressive model with Gaussian noise. More...

`#include <arx.h>`

Inheritance diagram for ARX:

[legend]
Collaboration diagram for ARX:

[legend]

List of all members.

## Public Member Functions
| ARX (RV &rv, mat &V0, double &nu0, double frg0=1.0)
| Full constructor.
void | bayes (const vec &dt)
| Here .
epdf & | _epdf ()
| Returns a pointer to the epdf representing posterior density on parameters. Use with care!
ivec | structure_est (egiw Eg0)
| Brute force structure estimation.
void | bayes (mat Dt)
| Batch Bayes rule (columns of Dt are observations).
const RV & | _rv () const
| access function
double | _ll () const
| access function
## Protected Attributes
egiw | est
| Posterior estimate of in the form of Normal-inverse Wishart density.
ldmat & | V
| cached value of est.V
double & | nu
| cached value of est.nu
double | frg
| forgetting factor
double | last_lognc
| cached value of lognc() in the previous step
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save time.

## Detailed Description

Linear Autoregressive model with Gaussian noise.

Regression of the following kind:

where unknown parameters `rv` are , regression vector is a known function of past outputs and exogeneous variables . Distrubances are supposed to be normally distributed:

Extension for time-variant parameters may be achived using exponential forgetting (Kulhavy and Zarrop, 1993). In such a case, the forgetting factor `frg` should be given in the constructor. Time-invariant parameters are estimated for `frg` = 1.

## Member Function Documentation

ivec ARX::structure_est | ( | egiw | Eg0 | ) |

Brute force structure estimation.

Returns:
  indeces of accepted regressors.

References RV::count(), est, egiw::lognc(), and BM::rv.

The documentation for this class was generated from the following files:

- work/mixpp/bdm/estim/arx.h
- work/mixpp/bdm/estim/arx.cpp